package org.gcube.common.software.process.export;

import java.util.ArrayList;
import java.util.List;

import org.gcube.common.software.process.SoftwareVersionProcessor;
import org.gcube.common.software.process.export.biblatex.BibLaTeXSoftwareVersionExporter;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public abstract class SoftwareVersionExporter extends SoftwareVersionProcessor {

	public static List<SoftwareVersionExporter> getExporters() {
		List<SoftwareVersionExporter> sves = new ArrayList<>();
		sves.add(new BibLaTeXSoftwareVersionExporter());
		return sves;
	}
	
	public abstract void export() throws Exception;

}
