package org.gcube.common.software.process.publish;

import java.util.ArrayList;
import java.util.List;

import org.gcube.common.software.process.SoftwareVersionProcessor;
import org.gcube.common.software.process.publish.zenodo.ZenodoSoftwareVersionPublisher;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public abstract class SoftwareVersionPublisher extends SoftwareVersionProcessor {

	public static List<SoftwareVersionPublisher> getPublishers() {
		List<SoftwareVersionPublisher> svps = new ArrayList<>();
		svps.add(new ZenodoSoftwareVersionPublisher());
		return svps;
	}
	
	public abstract void publish() throws Exception;
		
}
