package org.gcube.common.software.process;

import org.gcube.common.software.model.ProcessorConfig;
import org.gcube.common.software.model.SoftwareConfig;
import org.gcube.common.software.model.SoftwareVersionConfig;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public abstract class SoftwareVersionProcessor {

	protected SoftwareConfig softwareConfig;
	protected SoftwareVersionConfig softwareVersionConfig;
	protected ProcessorConfig processorConfig;
	protected boolean first;
	
	public SoftwareConfig getSoftwareConfig() {
		return softwareConfig;
	}

	public void setSoftwareConfig(SoftwareConfig softwareConfig) {
		this.softwareConfig = softwareConfig;
	}

	public SoftwareVersionConfig getSoftwareVersionConfig() {
		return softwareVersionConfig;
	}

	public void setSoftwareVersion(SoftwareVersionConfig softwareVersionConfig) {
		this.softwareVersionConfig = softwareVersionConfig;
	}
	
	public ProcessorConfig getProcessorConfig() {
		return processorConfig;
	}
	
	public void setProcessorConfig(ProcessorConfig processorConfig) {
		this.processorConfig = processorConfig;
	}

	public boolean isFirst() {
		return first;
	}

	public void setFirst(boolean first) {
		this.first = first;
	}
	
}
