package org.gcube.common.software.analyser;

import java.io.File;

import org.gcube.common.software.utils.FileUtils;
import org.junit.Test;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class SoftwareConceptAnalyserTest {

	public static final String FILENAME = "gcat-test-sandbox.json";
	// public static final String FILENAME = "gcat-from-scratch.json";
	// public static final String FILENAME = "exported-gcat-from-scratch.json";
	
	@Test
	public void testUsingTestFile() throws Exception {
		File file = FileUtils.getFileFromFilename(FILENAME);
		SoftwareConfigAnalyser softwareConceptAnalyser = new SoftwareConfigAnalyser(file);
		softwareConceptAnalyser.analyse();
	}

}
